Skip to main content
POST
Run query

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Body

application/json
query
string
required
entities
string[]

Tags or Cortex IDs of the entities to run the query against, from 1 to 100. Omit to page through the catalog with pageSize and pageToken instead.

Tags or Cortex IDs of the entities to run the query against, from 1 to 100. Omit to page through the catalog with pageSize and pageToken instead.

Example:
pageSize
integer<int32>

Run the query against one page of at most this many entities, at most 1000. The response's nextPageToken reads the next page. Defaults to 1000.

Example:

1000

pageToken
string

The nextPageToken from the previous response, to run the query against the next page.

Response

Successfully submitted query

initiatedAt
string<date-time>
required
jobId
string
required

Id that can be used to request the status of the query. If you would like to re-run the query, you must re-run the query in the UI. See retrieve query results

query
string
required
nextPageToken
string

Pass as pageToken to run the same query against the next page. Absent on the last page, and when the request did not page.